<?xml version="1.0"?>

<!--

     XSLT Style Sheet for Common Customisations for all HTML based
     DocBook File Generation Types (HTML, HTML-Chunk, XHTML)

-->

<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
>

  <!-- ============================================================ -->
  <!-- Common HTML Configuration                                    -->
  <!-- ============================================================ -->

  <xsl:param name="admon.graphics"	select="1"/>
  <xsl:param name="callout.graphics"	select="1"/>
  <xsl:param name="citerefentry.link"	select="1"/>
  <xsl:param name="html.stylesheet"	select="'SystemAdministration.css'"/>

  <xsl:param name="table.borders.with.css"	select="0"/>
  <xsl:param name="table.border.style"		select="'solid'"/>
  <xsl:param name="table.border.thickness"	select="'0'"/>
  <xsl:param name="table.border.color"		select="''"/>
  <xsl:param name="html.cellspacing"		select="'0'"/>
  <xsl:param name="html.cellpadding"		select="'5'"/>

  <!-- ============================================================ -->
  <!-- Replace Default Templates with Customised Versions           -->
  <!-- ============================================================ -->

  <!-- assumes each refentry has an id of its refentrytitle -->
  <xsl:template name="generate.citerefentry.link">

    <xsl:choose>

      <xsl:when test="id(refentrytitle)">
        <xsl:text>#</xsl:text>
        <xsl:value-of select="refentrytitle"/>
      </xsl:when>

      <xsl:otherwise>
        <xsl:message>
          <xsl:text>WARNING: No refentry with an id of </xsl:text>
          <xsl:value-of select="refentrytitle"/>
        </xsl:message>
      </xsl:otherwise>

    </xsl:choose>

  </xsl:template>

  <!-- ============================================================ -->
  <!-- End of Common Style Sheet                                    -->
  <!-- ============================================================ -->

</xsl:stylesheet>
